org.springframework.data.relational.core.mapping

## Interface RelationalPersistentEntity<T>

All Superinterfaces:
  Iterable<RelationalPersistentProperty>, MutablePersistentEntity<T,RelationalPersistentProperty>, PersistentEntity<T,RelationalPersistentProperty>

    public interface RelationalPersistentEntity<T>
    extends MutablePersistentEntity<T,RelationalPersistentProperty>

A `PersistentEntity` interface with additional methods for JDBC/RDBMS related metadata.

Author:
  Jens Schauder, Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`SqlIdentifier` `getIdColumn()` Returns the column representing the identifier.
`SqlIdentifier` `getTableName()` Returns the name of the table backing the given entity.

### Methods inherited from interface org.springframework.data.mapping.model.MutablePersistentEntity

`addAssociation, addPersistentProperty, setEvaluationContextProvider, setPersistentPropertyAccessorFactory, verify`

### Methods inherited from interface org.springframework.data.mapping.PersistentEntity

`doWithAssociations, doWithAssociations, doWithProperties, doWithProperties, findAnnotation, getIdentifierAccessor, getIdProperty, getName, getPersistenceConstructor, getPersistentProperties, getPersistentProperty, getPersistentProperty, getPropertyAccessor, getPropertyPathAccessor, getRequiredAnnotation, getRequiredIdProperty, getRequiredPersistentProperty, getRequiredVersionProperty, getType, getTypeAlias, getTypeInformation, getVersionProperty, hasIdProperty, hasVersionProperty, isAnnotationPresent, isConstructorArgument, isIdProperty, isImmutable, isNew, isVersionProperty, requiresPropertyPopulation`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getTableName

    SqlIdentifier getTableName()

Returns the name of the table backing the given entity.

Returns:
  the table name.

#### getIdColumn

    SqlIdentifier getIdColumn()

Returns the column representing the identifier.

Returns:
  will never be null.